<p-panel header="Laporan Realisasi PO" [toggleable]="false">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div>
                <div>

                    <p-accordion>
                        <p-accordionTab header="Filter" [selected]="false">
                            <div class="row">
                                <div class="ui-g-12">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <div class="ui-g-4">
                                                <label class="form-control-label" for="field_PIC">Tanggal PO</label>
                                            </div>
                                            <div class="ui-g-4">
                                                <p-calendar inputId="field_dtfrom" name="input_dtfrom"
                                                    [(ngModel)]="dtfrom" dateFormat="dd-M-yy" [monthNavigator]="true"
                                                    [yearNavigator]="true" yearRange="2000:2999" appendTo="body">
                                                </p-calendar>
                                            </div>
                                            <div class="ui-g-4">
                                                <p-calendar inputId="field_dtthru" name="input_dtthru"
                                                    [(ngModel)]="dtthru" dateFormat="dd-M-yy" [monthNavigator]="true"
                                                    [yearNavigator]="true" yearRange="2000:2999" appendTo="body">
                                                </p-calendar>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="ui-g-4">
                                                <label class="form-control-label" for="field_PIC">PIC</label>
                                            </div>
                                            <div class="ui-g-8">
                                                <p-dropdown [options]="pics" [(ngModel)]="selectedPIC" id="field_PIC"
                                                    [style]="{'width':'100%'}">
                                                </p-dropdown>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="ui-g-4">
                                                <label class="form-control-label" for="field_nmspl">Nama
                                                    Supplier</label>
                                            </div>
                                            <div class="ui-g-8">
                                                <p-autoComplete [(ngModel)]="newSuplier"
                                                    [suggestions]="filteredSuppliers"
                                                    (completeMethod)="filterSupplierSingle($event)" [size]="34"
                                                    name="suplier" [minLength]="1" field="nmSupplier"
                                                    placeholder="Silahkan Pilih" (onSelect)="selectSupplier(true)"
                                                    [dropdown]="true" tabindex=1></p-autoComplete>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="ui-g-4">
                                                <label class="form-control-label" for="field_mail">Status</label>
                                            </div>
                                            <div class="ui-g-8">
                                                <p-dropdown [options]="statuses" [(ngModel)]="selectedStatus"
                                                    id="field_status" [style]="{'width':'100%'}">
                                                </p-dropdown>
                                            </div>
                                        </div>
                                        <div class="ui-g-6">
                                            <div class="form-group">
                                                <label for="field_KdBarang">Kode Barang</label>
                                                <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                                    (completeMethod)="filterBarangSingle($event)" [size]="32"
                                                    name="KdBarangs" [minLength]="1" [filter]="true" filterBy="label"
                                                    field="kdBahan" placeholder="Please Select Or Insert"
                                                    [dropdown]="true" (onSelect)="selectBarang(true)">
                                                </p-autoComplete>
                                            </div>
                                        </div>
                                        <div class="ui-g-6">
                                            <div class="form-group">
                                                <label for="field_barang">Nama Barang</label>
                                                <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                                    (completeMethod)="filterBarangSingle($event)" [size]="32"
                                                    name="barangs" [minLength]="1" field="nmBahan"
                                                    placeholder="Please Select Or Insert" [dropdown]="true"
                                                    (onSelect)="selectBarang(true)"></p-autoComplete>
                                            </div>
                                        </div>
                                        <div class="ui-g-6">
                                            <label>Jenis Laporan</label>
                                            <div>
                                                <p-dropdown [options]="types" [(ngModel)]="selectedType"
                                                    id="field_TYPE">
                                                </p-dropdown>
                                            </div>
                                        </div>
                                        <div class="ui-g-12 form-group">
                                            <button pButton type="submit" label="Filter" icon="fa-filter"
                                                class="ui-button-primary flat-label-button" (click)="filter()">
                                            </button>
                                            <button pButton label="Reset Filter" icon="fa-refresh"
                                                class="ui-button-primary flat-label-button" (click)="reset()">
                                            </button>
                                            <button pButton label="Download" icon="fa-cogs"
                                                class="ui-button-primary flat-label-button" (click)="export()">
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </p-accordionTab>
                    </p-accordion>
                </div>
                <p-dataTable [value]="datas" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20,50,100]" [totalRecords]="totalItems" [responsive]="true"
                    [lazy]="true" [(first)]="first" row="itemsPerPage" totalRecords="totalItems" dataKey="nopo"
                    expandableRows="false" rowHover="true" (onLazyLoad)="loadDataLazy($event)">
                    <p-header>
                        <div class="row">
                            <div class="col-sm-12">
                                <form name="searchForm" class="form-inline">
                                    <div class="input-group w-100 mt-3">
                                        <input type="text" class="form-control" [(ngModel)]="currentSearch"
                                            id="currentSearch" name="currentSearch"
                                            placeholder="Cari Nomor PO || Nama Bahan || Kode Bahan || Supplier">
                                        <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                                            <span class="fa fa-search"></span>
                                        </button>
                                        <button class="input-group-addon btn btn-danger" (click)="clear()"
                                            *ngIf="currentSearch">
                                            <span class="fa fa-trash-o"></span>
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </p-header>
                    <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Tgl PO">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <span style="color: blue;">{{rowData.tglpo | date:'dd-MM-yyyy'}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;">{{rowData.tglpo | date:'dd-MM-yyyy'}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span>{{rowData.tglpo | date:'dd-MM-yyyy'}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="No nopo">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <a style="color: blue;"><a (click)="lihatDetailPO(rowData)">{{rowData.nopo}}</a> </span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;"><a (click)="lihatDetailPO(rowData)">{{rowData.nopo}}</a>
                                </span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span><a (click)="lihatDetailPO(rowData)">{{rowData.nopo}}</a></span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Supplier">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <span style="color: blue;">{{rowData.nm_supplier}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;">{{rowData.nm_supplier}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span>{{rowData.nm_supplier}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="PIC">
                        <ng-template let-rowData="rowData" pTemplate="body">

                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <span style="color: blue;">{{rowData.pic}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;">{{rowData.pic}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span>{{rowData.pic}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Kode Barang">
                        <ng-template let-rowData="rowData" pTemplate="body">

                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <span style="color: blue;">{{rowData.kdbahan}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;">{{rowData.kdbahan}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span>{{rowData.kdbahan}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Nama Barang">
                        <ng-template let-rowData="rowData" pTemplate="body">

                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <span style="color: blue;">{{rowData.nmbahan}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;">{{rowData.nmbahan}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span>{{rowData.nmbahan}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Satuan">
                        <ng-template let-rowData="rowData" pTemplate="body">

                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <span style="color: blue;">{{rowData.satuan}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;">{{rowData.satuan}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span>{{rowData.satuan}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Qty PO">
                        <ng-template let-rowData="rowData" pTemplate="body">

                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <span style="color: blue;">{{rowData.qtypo | number:'1.0-2'}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;">{{rowData.qtypo | number:'1.0-2'}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span>{{rowData.qtypo | number:'1.0-2' }}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Tgl Kirim PO">
                        <ng-template let-rowData="rowData" pTemplate="body">

                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <span style="color: blue;">{{rowData.tglkirimpo | date:'dd-MM-yyyy'}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;">{{rowData.tglkirimpo | date:'dd-MM-yyyy'}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span>{{rowData.tglkirimpo | date:'dd-MM-yyyy'}}</span>
                            </div>

                        </ng-template>
                    </p-column>
                    <p-column header="Status">
                        <ng-template let-rowData="rowData" pTemplate="body">

                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <span style="color: blue;">{{rowData.status}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;">{{rowData.status}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span>{{rowData.status}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Outstanding">
                        <ng-template let-rowData="rowData" pTemplate="body">

                            <div *ngIf="rowData.status === 'Terkirim Sebagian'">
                                <span style="color: blue;">{{rowData.outstanding | number:'1.0-2'}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Overdue Kirim'">
                                <span style="color: red;">{{rowData.outstanding | number:'1.0-2'}}</span>
                            </div>
                            <div *ngIf="rowData.status === 'Selesai' || rowData.status === 'Belum Terkirim'">
                                <span>{{rowData.outstanding | number:'1.0-2'}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Aksi">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <button pButton type="button" icon="fa-eye" class="flat-button"
                                (click)="lihatDetail(rowData)" pTooltip="Lihat detail">
                            </button>
                        </ng-template>
                    </p-column>
                </p-dataTable>
            </div>
        </div>
    </div>
    <div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-dialog header="Detail" [(visible)]="newModalDetailNonPPIC" modal="true" [width]="1500" (onHide)="backapp()">
    <form name="notesForm" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="details" [rows]="itemsPerPage" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="nobbm" expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)">
                <p-header>
                    <h4 style="text-align: left ; font-weight: bold;">PO : {{nopo}}</h4>
                    <h4 style="text-align: left ; font-weight: bold;">LINE : {{nourut}}</h4>
                </p-header>
                <p-column header="No" [style]="{'width': '20px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Kode Bahan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kdbahan}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Bahan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nmbahan}}
                    </ng-template>
                </p-column>
                <p-column header="Qty PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qtypo | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="No BBM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_bbm}}
                    </ng-template>
                </p-column>
                <p-column header="Tgl BBM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_bbm | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Tgl SJ">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_sj | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Qty BBM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qtybbm | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Batch">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.batch}}
                    </ng-template>
                </p-column>
                <p-column header="Exp Date">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_exp | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Exp Halal">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_exphal | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Keterangan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.keterangan}}
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </form>
</p-dialog>

<p-dialog header="Detail PO" [(visible)]="newModalDetailPO" modal="true" [width]="1000">
    <form name="notesForm" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="detailsPO" [rows]="itemsPerPage" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="nobbm" expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)">
                <p-header>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Kode Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productcode}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productname}}
                    </ng-template>
                </p-column>
                <p-column header="Qty PP">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.ppqty | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Qty PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Qty PO Terkirim">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_kirim | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Tgl Kirim PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dtsent | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.uom}}
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </form>
</p-dialog>
<p-confirmDialog></p-confirmDialog>